Foreman - Bug #13711

Can't create new subnet with domain
02/15/2016 07:40 AM - Marek Hulan

Status: Closed
Priority: Normal
Assignee: Marek Hulan
Category: Database
Target version: 1.11.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: 1313858 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/3186
Description

When | try to create new subnet and select some domain, it does not get saved and it unchecks the selected domain. It does not
display any error message, but in logs (and through hammer) an error about invalid :subnet_domains relation can be found. It's
caused by validations on relation entity which does not have foreign id, since we are about to save the new record. IMHO validations
on relation entity should be removed, we never use the class directly and rely on active record to create it.

Related issues:
Related to Foreman - Bug #23164: (some) subnet validation errors are not shown New
Has duplicate Foreman - Bug #13940: Subnet creation with associated domains f... Duplicate 02/29/2016

Associated revisions

Revision 46eec8ba - 03/03/2016 11:03 AM - Marek Hulan

Fixes #13711 - fix subnet/domain validation during creation

Revision 4a5d57a1 - 03/10/2016 10:56 AM - Marek Hulan

Fixes #13711 - fix subnet/domain validation during creation

(cherry picked from commit 46eec8ba4163a8f237b3189f43d2f873a2267288)

History

#1 - 02/15/2016 07:42 AM - Marek Hulan

looks related to #12866 but | think it's a different issue, since it possible to fix it through webui - which is not the case here

#2 - 02/15/2016 07:59 AM - The Foreman Bot
- Status changed from Assigned to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/3186 added

#3 - 02/29/2016 04:18 AM - Dominic Cleal

- translation missing: en.field_release set to 71

#4 - 02/29/2016 04:18 AM - Dominic Cleal

- Has duplicate Bug #13940: Subnet creation with associated domains fails (hammer cli) added

#5 - 03/03/2016 02:36 AM - Marek Hulan
- Bugzilla link set to 1313858

#6 - 03/03/2016 12:02 PM - Anonymous
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100
https://projects.theforeman.org/issues/12866

Applied in changeset 46eec8ba4163a8f237b3189f43d2f873a2267288.

#7 - 04/09/2018 07:20 AM - Marek Hulan

- Related to Bug #23164: (some) subnet validation errors are not shown added
